List outbound shipments visible to the active organization
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
status?string
Value in
- "draft"
- "packing"
- "ready"
- "in_transit"
- "delivery_exception"
- "delivered"
- "returned"
- "cancelled"
partnershipId?string
Length
1 <= lengthorderId?string
Length
1 <= lengthpage?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
25Response Body
application/json
curl -X GET "https://example.com/shipments"{ "data": [ { "id": "string", "labId": "string", "clinicId": "string", "partnershipId": "string", "shipmentNumber": 1, "method": "carrier", "status": "draft", "version": 1, "destinationSource": "one_off", "destinationLocationId": "string", "destinationName": "string", "city": "string", "region": "string", "postcode": "string", "country": "string", "scheduledDate": "string", "dispatchedAt": "string", "deliveredAt": "string", "returnedAt": "string", "cancelledAt": "string", "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 1, "limit": 1, "total": 0, "totalPages": 0 }}Empty